.rui-tag {
  display: inline-flex;
  align-content: center;
  padding: 0;
  border-radius: var(--border-radius);
  margin: var(--spacer-tiny) 0;
  background-color: var(--component-content-background-alt);
  box-shadow: 0 0 0 1px var(--border-color);
  color: var(--foreground-color);
  font-size: var(--font-size-small);

  &:not(:last-child) {
    margin-right: var(--spacer-default);
  }

  &__segment {
    padding: var(--spacer-tiny) var(--spacer-small);
    border-right: 1px solid var(--border-color);

    &:last-child {
      border: none;
      background-color: var(--component-content-background);
      border-bottom-right-radius: var(--border-radius);
      border-top-right-radius: var(--border-radius);
    }

    &:first-child {
      background-color: var(--background-color);
      border-bottom-left-radius: var(--border-radius);
      border-top-left-radius: var(--border-radius);
    }
  }

  &__delete-button {
    height: unset;
    padding: 0 var(--spacer-tiny);
    border: none;
    border-bottom-right-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
    font-size: inherit;

    .rui-icon {
      font-size: inherit;
    }
  }
}
